Bug 109798 - apply distinct on address in dropdown for autocomplete
Summary: apply distinct on address in dropdown for autocomplete
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.8.1
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-28 21:51 UTC by Christian Schaarschmidt
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Schaarschmidt 2005-07-28 21:51:25 UTC
Version:           1.8.1 (using KDE 3.4.1, Debian Package 4:3.4.1-1 (3.1))
Compiler:          gcc version 3.3.6 (Debian 1:3.3.6-5)
OS:                Linux (i686) release 2.6.11

please apply "select distinct e_mail_address" for the entries in the dropdown in addressfield autocomplete.

Example:
User in addressbook 
Bond, James <james.bond@m5.uk>

I receive mail from 
James Bond <james.bond@m5.uk>
and press reply

Next time I start typing "Bond" I will get two entries
Bond, James <james.bond@m5.uk>
James Bond <james.bond@m5.uk>

I would prefer to see only those entries that come from the addressbook (if the e-mail address is the same)
Comment 1 Christian Schaarschmidt 2006-09-08 19:19:55 UTC
for suggested implementation see Bug 107945
Comment 2 Christian Schaarschmidt 2006-11-07 19:50:03 UTC
SVN commit 603074 by schaarsc:

address completion redesign
 - lookup: nickname, first/lastname, email, domain
 - disable unsupported completion modes
 - select first item in popup, pick with return

CCBUG: 98691, 76739, 77342, 109798, 107945, 82699


 M  +1 -1      branches/work/kdepim-3.5.5+/libkdepim/Makefile.am  
 M  +174 -70   branches/work/kdepim-3.5.5+/libkdepim/addresseelineedit.cpp  
 M  +21 -3     branches/work/kdepim-3.5.5+/libkdepim/addresseelineedit.h  
 A             branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.cpp   [License: LGPL (v2+)]
 A             branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.h   [License: LGPL (v2+)]
Comment 3 Christian Schaarschmidt 2006-11-25 22:55:56 UTC
SVN commit 607833 by schaarsc:

port of revsion 603074, 605966

address completion redesign
 - lookup: nickname, first/lastname, email, domain
 - disable unsupported completion modes
 - select first item in popup, pick with return

BUG: 98691, 76739, 77342, 109798, 107945, 82699


 M  +6 -1      kdelibs/kabc/scripts/addressee.src.cpp  
 M  +1 -1      kdepim/libkdepim/Makefile.am  
 M  +174 -70   kdepim/libkdepim/addresseelineedit.cpp  
 M  +21 -3     kdepim/libkdepim/addresseelineedit.h  
 A             kdepim/libkdepim/kmailcompletion.cpp   branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.cpp#603074 [License: LGPL (v2+)]
 A             kdepim/libkdepim/kmailcompletion.h   branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.h#603074 [License: LGPL (v2+)]